Subject: SOMFA (sic) and COMFA - 3D_QSAR

From: [email-masked]
Date: Tue, 20 Jul 1999 12:52:35 +0100

Hi All

As a follow-up to my previous messages I have attached a mail
>from Svante Wold confirming my opinion about SOMFA; i.e.,
that it is CoMFA but restricted to one LV (ie PC) PLS. Any comments
welcome (Original posting also attached).

Dave Turner

------- Forwarded Message Follows -------
From:           	"nouna & svante" <[email-masked]>
To:             	<[email-masked]>
Subject:        	Re: QSAR: SOMFA (sic) and COMFA
Date sent:      	Sat, 19 Jun 1999 07:12:30 +0200

Dear Dave:

Finally, much thanks to your kind encouragement and reminders, I have found
and read and thought about the "SOMFA" method. No doubt you are right, SOMFA
is just a one component PLS model in disguise.

Eqn.1 in the paper is exactly the equation for the first PLS weight vector
(w1), except for a normalization factor (which does not change any of the
results or the equivalence).

Hence, eqn. 2 gives the score values (t1) = X w1     (again, except for a
normalization factor).

If you now have many "blocks" of properties, say size, polarity,
lipophilicity, ..., each being paramterized by a separate "probe", the
weights and scores above will be "partial", each referring to a
non-orthogonal property array. Then ordinary PLS would combine these in the
regression step corresponding to eq.3.

Eqn. 3 looks like a different approach to finding the value of c1, but when
you maximize the correlations graphically as in fig.s 5 and 6, you actually
make a regression (but graphically).

The fact that "SOMFA" gives better results than other methods in the
comparison (table 4) just indicates that the others should have had just one
component. You indeed show that Comfa with one PLS component gives identical
results to "SOMFA".

I don't know what you want to do with this -- I will certainly spread this
among my QSAR friends.

Allt he best // Sincerely // Svante

Svante Wold, Chemometrics, Umea University, Sweden

> > Hello
> >
> > Has anyone looked at SOMFA from Graham Richards group?
> > (JMedChem,1999,42,573-583).
> >
> > It appears to me that the "new" method described is equivalent
> > to extracting the first PLS latent variable (LV) and no more; ie SOMFA
> > r2 = COMFA PLS LV_1 r2 (for identical descriptors- ie fields, resolution
> > and other set up parameters etc).
> >
> > Very briefly, if PLS is summarised as:
> >
> > X = TP + E
> >
> > followed by
> >
> > Y = TQ + F
> >
> > Technically, SOMFA determines the "t" vector for the first PLS LV.
> >
> > If I am right then the method is surely limited since many 3D-QSAR
> > models use >one LV?!
> >
> > Can anyone confirm (or deny) my opinion?
> >
> > David Turner
> >
> >

Dr David Turner
Dept of Information Studies, Sheffield University
Sheffield, S10 2TN          Tel. 0114 2 222 650
E-mail: [email-masked]

Dr David Turner
Dept of Information Studies, Sheffield University
Sheffield, S10 2TN          Tel. 0114 2 222 650
E-mail: [email-masked]